/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : logic.h
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

#ifndef _LOGIC_H_
#define _LOGIC_H_
/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/

/*******************************************************************************
Macro definitions
*******************************************************************************/
/*******************************************************************************
** AND_PROC	
********************************************************************************/
#define	AND_PROC(In1, In2, Out)													\
{																				\
	{																			\
		UCHAR	ucflg;															\
																				\
		ucflg = ANDF(In1, In2);													\
		Out = ucflg & 0x01;														\
	}																			\
}

/*******************************************************************************
** OR_PROC	
********************************************************************************/
#define	OR_PROC(In1, In2, Out)													\
{																				\
	{																			\
		UCHAR	ucflg;															\
																				\
		ucflg = ORF(In1, In2);													\
		Out = ucflg & 0x01;														\
	}																			\
}

/*******************************************************************************
** XOR_PROC	
********************************************************************************/
#define	XOR_PROC(In1, In2, Out)													\
{																				\
	{																			\
		UCHAR	ucflg;															\
																				\
		ucflg = XORF(In1, In2);													\
		Out = ucflg & 0x01;														\
	}																			\
}

/*******************************************************************************
** NOT_PROC	
********************************************************************************/
#define	NOT_PROC(In, Out)														\
{																				\
	{																			\
		UCHAR	ucflg;															\
																				\
		ucflg = NOTF(In);														\
		Out = ucflg & 0x01;														\
	}																			\
}

/*******************************************************************************
Typedef definitions
*******************************************************************************/

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*	Function Prototype	*/
UCHAR 	ANDF( UCHAR In1, UCHAR In2 );
UCHAR 	ORF( UCHAR In1, UCHAR In2 );
UCHAR 	XORF( UCHAR In1, UCHAR In2 );
UCHAR 	NOTF( UCHAR In );

#endif /* _LOGIC_H_ */
