/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : panel.c
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "sfr.h"
#include "common.h"
#include "config.h"
#include "panel.h"

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
#if defined DTC_USED || defined STANDBY_USED
#pragma address dtc_vectortable = VECTOR_ADDRESS
UCHAR __near dtc_vectortable[40];
#pragma address dtc_controldata = CONTROLDATA_ADDRESS
ST_DTC_DATA __near dtc_controldata[24];
#endif /*DTC_USED || STANDBY_USED*/
/*--- Variable declaration ---*/
	UCHAR I_02;
	UCHAR F0204 = 0;
	UCHAR F0403 = 0;
	UCHAR F0503 = 0;
	UCHAR F0504 = 0;
	UCHAR F0702 = 0;
	UCHAR F0705 = 0;
	UCHAR F0805 = 0;
	UCHAR F0903 = 0;
	UCHAR F0906 = 0;
	UCHAR F1206 = 0;

/*----------------------------*/

void panel_init0(void)
{

	DGIN_INIT0(1);
	CLK_INIT0;
	DFF2_INIT0(0);
}

void panel(void)
{
	DGIN_INIT;
	CLK_INIT;
	DFF2_INIT;

	DGIN_PROC( I_02,137, HIGH,0,fTrg10ms);
	CLK_PROC( 0,250,fTrg10ms,F0204  );
	F0403 = MOV1_( F0504 );
	DFF2_PROC( F0403,F0204,F0503,F0504 );
	F0702 = MOV1_( I_02 );
	F0705 = MOV1_( I_02 );
	NOT_PROC( F0705, F0805 );
	AND_PROC( F0702,F0503, F0903 );
	AND_PROC( F0805,F0204, F0906 );
	XOR_PROC( F0903,F0906, F1206 );
	DGOUT_PROC( 56, F1206, HIGH );
}
