/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : systeminit.c
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "sfr.h"
#include "common.h"
#include "config.h"
#include "system.h"
#include "int.h"
#include "port.h"
#include "timer.h"
#include "watchdogtimer.h"

/*******************************************************************************
Macro definitions
*******************************************************************************/

/*******************************************************************************
Typedef definitions
*******************************************************************************/

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/

/*******************************************************************************
Private variables and functions
*******************************************************************************/

/*******************************************************************************
* Function Name: SystemInit
* Description  : This function initializes every Macro.
* Arguments    : none
* Return Value : none
********************************************************************************/
void SystemInit( void )
{
	/* Initialize the peripheral I/O Redirection registers */
	PIOR0 = 0x00;
	PIOR1 = 0x00;
	PIOR2 = 0x00;
	PIOR3 = 0x00;
	/* Peripheral Enable Register initiate */
	PER0 = 0x00;
	PER1 = 0x00;
	PER2 = 0x00;
	/* Clock generator initiate */
	Clock_Init();
	
	/* Port initiate */
	PORT_Init();
	
	/* WDT initiate */
	WDT_Init();
	
	/* INT initiate */
	INT_Init();
	
#if !defined PWM_USED
	/* TM00 initiate */
	TM00_Init();
#endif /* end of defined PWM_USED */
}

/*******************************************************************************
* Function Name: hdwinit
* Description  : This function initializes hardware settings.
* Arguments    : none
* Return Value : none
********************************************************************************/
void hdwinit( void )
{
	__DI( );
	SystemInit( );
	__EI( );
}
